function X = myget(THIS,QUERY)
% MYGET  [Not a public function] Protected GET method.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

switch QUERY
    
    case 'canbeexogenised'
        X = THIS.name(THIS.nametype <= 2);
    
    case 'canbeendogenised'
        X = THIS.name(THIS.nametype == 3);
        
    case 'canbenonlinearised'
        if any(THIS.nonlin)
            label = THIS.eqtnlabel;
            empty = cellfun(@isempty,label);
            label(empty) = THIS.eqtn(empty);
            X = label(THIS.nonlin);
        else
            X = {};
        end
        
end

end